/* This file is part of syscalltrack, a GNU/Linux kernel module and */
/* user space utilities for logging or modifying any system call    */
/* invocation.                                                      */
/*                                                                  */
/* Copyright (C) 2000-2002 Muli Ben-Yehuda, mulix@actcom.co.il	    */
/* License: GNU General Public License                       */

/*
  *$Id: archdep_tracker.h,v 1.1 2002/09/22 05:58:32 mulix Exp $
 */

#ifndef _MODULE_RULES_ARCHDEP_TRACKER_H_
#define _MODULE_RULES_ARCHDEP_TRACKER_H_

/* get the platform definitions */ 
#include "../sct_rules/archdep.h" 

/* uml */ 
#ifdef CONFIG_USERMODE

#include "arch-uml/special_tracker.c"

#else /* !CONFIG_USERMODE */ /* i386 */ 

#if defined (KERNEL_24)
# include "arch-i386/special_tracker.c"
#elif defined (KERNEL_22)
# include "arch-i386-linux2.2/special_tracker.c"
#endif

#endif /* CONFIG_USERMODE */ 

#endif /* _MODULE_RULES_ARCHDEP_TRACKER_H_ */ 
