/* This file is part of syscalltrack, a GNU/Linux kernel module and */
/* user space utilities for logging or modifying any system call    */
/* invocation.                                                      */
/*                                                                  */
/* Copyright (C) 2000-2002 Muli Ben-Yehuda, mulix@actcom.co.il      */
/* License: GNU General Public License                              */

/*
 * $Id: device_file.h,v 1.2 2002/09/07 06:55:50 mulix Exp $
 */ 

#ifndef DEVICE_FILE_H_
#define DEVICE_FILE_H_

#include "ctrl_dev.h"
#include "log_dev.h"

struct sct_dev_type {
	sct_ctrl_dev_t* ctrl; 
	sct_log_dev_t* log; 
}; 

typedef struct sct_dev_type sct_dev_t; 

/* call these on module_init and module_shutdown */ 

int init_dev_file(void); 

void destroy_dev_file(void); 

#endif /* DEVICE_FILE_H_ */
