/* This file is part of syscalltrack, a GNU/Linux kernel module and */
/* user space utilities for logging or modifying any system call    */
/* invocation.                                                      */
/*                                                                  */
/* Copyright (C) 2000-2002 Muli Ben-Yehuda, mulix@actcom.co.il	    */
/* License: GNU Lesser General Public License                       */

/*
  *$Id: archdep_syscalls.h,v 1.2 2002/09/07 06:55:50 mulix Exp $
 */

#ifndef ARCHDEP_SYSCALLS_H_
#define ARCHDEP_SYSCALLS_H_

/* get the platform definitions */ 
#include "../sct_rules/archdep.h" 

/* uml */ 
#ifdef CONFIG_USERMODE

#include "arch-uml/special_hijack.c"

#else /* !CONFIG_USERMODE */ /* i386 */ 

#if defined (KERNEL_24)
# include "arch-i386/special_hijack.c"
#elif defined (KERNEL_22)
# include "arch-i386-linux2.2/special_hijack.c"
#endif

#endif /* CONFIG_USERMODE */ 

#endif /* ARCHDEP_H_ */ 
