/* This file is part of syscalltrack, a GNU/Linux kernel module and */
/* user space utilities for logging or modifying any system call    */
/* invocation.                                                      */
/*                                                                  */
/* Copyright (C) 2000-2002 guy keren, choo@actcom.co.il             */
/* License: GNU General Public License                              */

/* 
 * $Id: logger_helpers.h,v 1.4 2003/01/29 15:47:25 mulix Exp $
 */ 

#ifndef LOGGER_HELPERS_H_
#define LOGGER_HELPERS_H_

#include "sct_rules/membuf.h"

/* entry logger helper fucntion. */
extern int logger_helper_mux(char spec_char,
			     struct sct_membuf* mbuf, 
			     unsigned int max_rec_len, 
			     void* p,
			     void* p_data,
			     void* cb_data);


/* logger helper functions. */
typedef enum {
    LHF_INET_NTOA = 0,
    LHF_NTOHS,
    LHF_NTOHL
} logger_helper_funcs_t;

#endif /* LOGGER_HELPERS_H_ */


