/* This file is part of syscalltrack, a GNU/Linux kernel module and */
/* user space utilities for logging or modifying any system call    */
/* invocation.                                                      */
/*                                                                  */
/* Copyright (C) 2000-2002 Muli Ben-Yehuda, mulix@actcom.co.il	    */
/* License: GNU Lesser General Public License                       */

/* 
 * $Id: sysctl_private.h,v 1.3 2003/01/31 14:08:45 mulix Exp $
 */

#ifndef SCT_CTRL_LIB_SYSCTL_PRIVATE_H_
#define SCT_CTRL_LIB_SYSCTL_PRIVATE_H_

/* returns 0 on error and 1 on success */
int do_sysctl(struct sct_membuf* m, int* sysctl_cmd, 
	      unsigned int sysctl_cmd_len,
	      void* oldval, size_t* oldlenp); 

#endif /* SCT_CTRL_LIB_SYSCTL_PRIVATE_H_ */ 
