/*
 * TEST_TITLE: sys_capget
 * TEST_SYSCALL: capget
 * TEST_WHEN: before
 * TEST_RULE_1: PARAMS[1].pid == 77
 * TEST_RULE_2: 1
 * TEST_EXPECT: 1
 * TEST_EXPECT_PARAMS: 77
 * TEST_TIMEOUT: 10
 * TEST_END
 * 
 * TEST_TITLE: sys_capset
 * TEST_SYSCALL: capset
 * TEST_WHEN: before
 * TEST_RULE_1: PARAMS[1].pid == 77
 * TEST_RULE_2: 1
 * TEST_EXPECT: 1
 * TEST_EXPECT_PARAMS: 77
 * TEST_TIMEOUT: 10
 * TEST_END
 */

#include <linux/unistd.h> 
#include <linux/capability.h> 

_syscall2(int, capget, cap_user_header_t, header, cap_user_data_t, dataptr); 
_syscall2(int, capset, cap_user_header_t, header, const cap_user_data_t, dataptr); 

int main()
{	
	struct __user_cap_header_struct header = {.version = 0, .pid = 77}; 
	capget(&header, NULL); 
	capset(&header, NULL); 
    	return 0; 
}
