/*
 * TEST_TITLE: semop
 * TEST_SYSCALL: semop
 * TEST_WHEN: before
 * TEST_RULE_1: PARAMS[1] == 99
 * TEST_RULE_2: 1
 * TEST_EXPECT_PARAMS: 99
 * TEST_EXPECT: 1
 * TEST_TIMEOUT: 10
 * TEST_END
 */

# include <sys/types.h>
# include <sys/ipc.h>
# include <sys/sem.h>

int main()
{
	struct sembuf op;

/*	short sem_num; semaphore number: 0 = first
	short sem_op;   semaphore operation
	short sem_flg;  operation flags */

	op.sem_num = 0;
	op.sem_op = 75;
	op.sem_flg = SEM_UNDO;	

	return semop(99, &op, 1);
}
