/*
 * TEST_TITLE: sys_sendmsg (matchable pointer)
 * TEST_SYSCALL: sendmsg
 * TEST_WHEN: before
 * TEST_RULE_1: PARAMS[2].msg_control == 0x12345678
 * TEST_RULE_2: 1
 * TEST_EXPECT: 1
 * TEST_EXPECT_PARAMS: 12345678
 * TEST_TIMEOUT: 10
 * TEST_END
 */

#include <sys/types.h>
#include <sys/socket.h>

int main()
{	
	struct msghdr m; 
	
	memset(&m, 0, sizeof(m)); 
	m.msg_control = (void*)0x12345678; 
	sendmsg(-1, &m, 0); 
	return 0; 
}
