/*
 * TEST_TITLE: stat64
 * TEST_SYSCALL: stat64
 * TEST_WHEN: after
 * TEST_RULE_1: PARAMS[2].st_nlink == 1
 * TEST_RULE_2: 1
 * TEST_EXPECT_PARAMS: 1
 * TEST_EXPECT: 1
 * TEST_TIMEOUT: 10
 * TEST_END
 * 
 * TEST_TITLE: fstat64
 * TEST_SYSCALL: fstat64
 * TEST_WHEN: after
 * TEST_RULE_1: PARAMS[2].st_nlink == 1
 * TEST_RULE_2: 1
 * TEST_EXPECT_PARAMS: 1
 * TEST_EXPECT: 1
 * TEST_TIMEOUT: 10
 * TEST_END
 * 
 * TEST_TITLE: lstat64
 * TEST_SYSCALL: lstat64
 * TEST_WHEN: after
 * TEST_RULE_1: PARAMS[2].st_nlink == 1
 * TEST_RULE_2: 1
 * TEST_EXPECT_PARAMS: 1
 * TEST_EXPECT: 1
 * TEST_TIMEOUT: 10
 * TEST_END
*/

#include <stdio.h> 
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h> 
#include <fcntl.h>

int main(int argc, char* argv[])
{ 
	int fd; 
	struct stat buf; 
	
	printf("stat is at %p\n", &buf); 

	memset(&buf, 0, sizeof(buf)); 
	stat(argv[0], &buf); 
	
	memset(&buf, 0, sizeof(buf)); 
	if ((fd = open(argv[0], O_RDONLY)) < 0)
		perror("open"); 
	
	fstat(fd, &buf); 
	close(fd); 

	memset(&buf, 0, sizeof(buf)); 
	lstat(argv[0], &buf); 
	return 0; 
}
