/*
 * TEST_TITLE: sys_sysctl (matchable pointer)
 * TEST_SYSCALL: sysctl
 * TEST_WHEN: before
 * TEST_RULE_1: PARAMS[1].oldval == 0x12345678
 * TEST_RULE_2: 1
 * TEST_EXPECT: 1
 * TEST_EXPECT_PARAMS: 12345678
 * TEST_TIMEOUT: 10
 * TEST_END
 */

#include <stdlib.h>
#include <linux/unistd.h> 
#include <linux/sysctl.h> 

_syscall1(int, _sysctl, struct __sysctl_args *, args);

int main()
{	
	struct __sysctl_args args; 

	memset(&args, 0, sizeof(args)); 
	args.oldval = (void*)0x12345678; 
	_sysctl(&args); 
	return 0; 
}
